Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1026980 - [RFE] Allow users to cluster level enable/disable KSM
Summary: [RFE] Allow users to cluster level enable/disable KSM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Jiri Moskovcak
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
: 1017832 1076091 (view as bug list)
Depends On: 1025780
Blocks: GSS_RHEV_33_BETA rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-11-05 19:17 UTC by Amador Pahim
Modified: 2016-02-10 20:15 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.4.0-beta1
Doc Type: Enhancement
Doc Text:
Red Hat Enterprise Virtualization now uses MOM (Memory Overcommit Manager) to directly control KSM (kernel same-page merging) configurations on hypervisor nodes. A new web interface option instructs MOM to enable or disable KSM for all hosts contained within a specific Cluster.
Clone Of:
Environment:
Last Closed: 2014-06-09 15:01:04 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 23358 None None None Never
oVirt gerrit 23359 None None None Never
oVirt gerrit 23360 None None None Never

Description Amador Pahim 2013-11-05 19:17:10 UTC
Up to RHEV 3.2, KSM was controlled by ksmtuned. Users wanting stop KSM just wanted to stop ksmtuned service in each host.

In RHEV 3.3, vdsm stops ksmtuned and gives KSM control to MOM. MOM controls KSM and memory ballooning.

We can disable memory ballooning using RHEV Admin Portal interface, unchecking "Enable Memory Balloon Optimization" on Cluster level, which will have effect in next Host "Up".

Please provide the equivalent way to disable KSM using Admin Portal (and API as well).

vdsm counterpart handled in http://bugzilla.redhat.com/1025780

Comment 1 Scott Herold 2014-01-06 15:44:56 UTC
*** Bug 1017832 has been marked as a duplicate of this bug. ***

Comment 2 Lukas Svaty 2014-02-26 18:17:26 UTC
verified in 3.4.0-0.11.beta3.el6

Comment 3 Doron Fediuck 2014-03-14 04:32:21 UTC
*** Bug 1076091 has been marked as a duplicate of this bug. ***

Comment 4 errata-xmlrpc 2014-06-09 15:01:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.